<?php
// -=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
// Blocking direct access to plugin      -=
// -=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
defined('ABSPATH') or die('Are you crazy!');

/**
 * Do cron Function using Ilist WC Cron Class
 */
function pixelstat_do_cron() {
	$pixelstat_instance = pixelstat_Wc_Cron::instance();
	$pixelstat_instance->send_pixelstat_changes();
}

/**
 * Class which will send email notifications to admin and list owner
 */
class pixelstat_Wc_Cron {

	private static $instance;

	public static function instance() {
		if ( self::$instance == null ) {
			self::$instance = new pixelstat_Wc_Cron();
		}

		return self::$instance;
	}

	public static function register() {
		self::instance();
	}

	public function __construct() {

	}
	
	public function send_pixelstat_changes() {
		
		global $wpdb, $plugin_table_name;
		// --- Initialize
		$table_name_data   = $wpdb->prefix . $plugin_table_name;
		$pixelstat_db_post = $wpdb->prefix . "posts";
		// -----------------------------------------------------
		// Get all products where status is equal 0 (not paid)
		// -----------------------------------------------------
		$pixelstat_all_products = $wpdb->get_results( "SELECT order_id FROM $table_name_data WHERE status = '0'" );
		// -----------------------------------------------------
		// Check if results product pending
		// -----------------------------------------------------
		if (array_keys( $pixelstat_all_products, true )) {
			// -----------------------------------------------------
			// Update DB Products if order status is changed
			// -----------------------------------------------------
			foreach($pixelstat_all_products as $pixelstat_product) {
				$product_order_id = $pixelstat_product->order_id;
				// -----------------------------------------------------
				// Get order status
				// -----------------------------------------------------
				$pixelstat_order = $wpdb->get_row( "SELECT post_status FROM $pixelstat_db_post WHERE ID = '$product_order_id' AND post_type = 'shop_order'" );
				$order_status    = $pixelstat_order->post_status;
				// -----------------------------------------------------
				// Check order status
				// -----------------------------------------------------
				if ( 'wc-on-hold' == $order_status || 'wc-processing' == $order_status || 'wc-completed' == $order_status ) {
					// -----------------------------------------------------
					// Get order items infos
					// -----------------------------------------------------
					$order = new WC_Order( $product_order_id );
					$items = $order->get_items();
					// -----------------------------------------------------
					// Loop on products from order
					// -----------------------------------------------------
					foreach ( $items as $item ) {
						//$product_name         = $item['name'];
						//$product_id           = $item['product_id'];
						//$product_variation_id = $item['variation_id'];
						$product_id = $item['product_id'];
						// --- Update DB product of the List
						$pixelstat_update_status = $wpdb->update(
							$table_name_data, 
							array( 'status' => '1' ), 
							array( 'order_id' => $product_order_id, 'product_id' => $product_id ),
							array( '%s' ),
							array( '%s', '%s' )
						);
					}				
				}
			}
		}
	}

}

?>