<?php
// -=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
// Blocking direct access to plugin      -=
// -=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
defined('ABSPATH') or die('Are you crazy!');


// -=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
// Create tab's options                  -=
// -=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
/**
 * Check if WooCommerce is active
 **/
$pixelstat_woocommerce_is_active = '<span class="pixelstat-red">' . __( 'Disabled<br>The WooCommerce plugin must be installed and enabled to use this plugin', PIXELSTAT_ID_LANGUAGES ) . '</span>';
// In multisite WP use this instead Official Way
// if ( class_exists( 'WooCommerce' ) ) {
if ( in_array( 'woocommerce/woocommerce.php', apply_filters( 'active_plugins', get_option( 'active_plugins' ) ) ) ) {
    // Put your plugin code here
	if ( ! function_exists( 'pixelstat_get_woo_version_number' ) ) {
		function pixelstat_get_woo_version_number() {
				// If get_plugins() isn't available, require it
			if ( ! function_exists( 'get_plugins' ) )
				require_once( ABSPATH . 'wp-admin/includes/plugin.php' );
			
			// Create the plugins folder and file variables
			$plugin_folder = get_plugins( '/' . 'woocommerce' );
			$plugin_file = 'woocommerce.php';
			
			// If the plugin version number is set, return it 
			if ( isset( $plugin_folder[$plugin_file]['Version'] ) ) {
				return $plugin_folder[$plugin_file]['Version'];
		
			} else {
			// Otherwise return null
				return NULL;
			}
		}
	}
	$pixelstat_woocommerce_is_active = '<span class="pixelstat-green">' . __( 'Enabled', PIXELSTAT_ID_LANGUAGES ) . ' (' . __( 'version', PIXELSTAT_ID_LANGUAGES ) . ' ' . pixelstat_get_woo_version_number() . ')</span>';
}
// ----------------------------------------
// --- General Options --------------------
// ----------------------------------------
$dashboardTab->createOption( array(
	'name' => __( 'Checks', PIXELSTAT_ID_LANGUAGES ),
	'type' => 'heading',
) );
// ----------------------------------------
$dashboardTab->createOption( array(
	'name' => __( 'Check WooCommerce plugin', PIXELSTAT_ID_LANGUAGES ),
    'type' => 'note',
    'desc' => 'WooCommerce: ' . $pixelstat_woocommerce_is_active,
	'color' => 'red'
) );
// ----------------------------------------
$pixelstat_wp_cron_is_active = (@DISABLE_WP_CRON) ? '<span class="pixelstat-green">' . __( 'Enabled', PIXELSTAT_ID_LANGUAGES ) . '</span>' : '<span class="pixelstat-red">' . __( 'Inactive<br>Activation required to receive your emails notifications.<br>See the DISABLE_WP_CRON constant in the wp-config.php file.', PIXELSTAT_ID_LANGUAGES ) . '</span>';
$dashboardTab->createOption( array(
	'name' => __( 'Check Cron WP', PIXELSTAT_ID_LANGUAGES ),
    'type' => 'note',
    'desc' =>  __( 'WP Crons: ', PIXELSTAT_ID_LANGUAGES ) . $pixelstat_wp_cron_is_active,
	'color' => 'red'
) );
// ----------------------------------------
$pixelstat_cron_is_active = (wp_get_schedule( 'pixelstat_check_status_order' )) ? '<span class="pixelstat-green">' . __( 'Enabled', PIXELSTAT_ID_LANGUAGES ) . ' (' . __( 'Frequency: ', PIXELSTAT_ID_LANGUAGES ) . PIXELSTAT_CRON_SCHEDULE . ')</span>' : '<span class="pixelstat-red">' . __( 'Disabled - Check your cron !<br>Hook name: pixelstat_check_status_order<br>Action: pixelstat_do_cron()', PIXELSTAT_ID_LANGUAGES ) . '</span>';
$dashboardTab->createOption( array(
	'name' => __( 'Check Pixel Stat Cron', PIXELSTAT_ID_LANGUAGES ),
    'type' => 'note',
    'desc' =>  __( 'Pixel Stat Cron: ', PIXELSTAT_ID_LANGUAGES ) . $pixelstat_cron_is_active, 
	'color' => 'red'
) );

// -----------------------------------------
// -----------------------------------------
// -----------------------------------------
// -----------------------------------------
// -----------------------------------------
$pixelstat_option = TitanFramework::getInstance( 'pixelstat' );

?>