<?php
// -=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
// Blocking direct access to plugin      -=
// -=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
defined('ABSPATH') or die('Are you crazy!');

// Create your menu outside the class
add_action('admin_menu','pixelstat_list_menu');
// Render your admin menu outside the class
function pixelstat_list_menu() {
    $hook_menu_pixelstat = add_submenu_page('pixelstat', __('Summary', PIXELSTAT_ID_LANGUAGES), __('Summary', PIXELSTAT_ID_LANGUAGES), 'manage_options', 'pixelstat_list', 'pixelstat_page_handler');
	add_action( "load-$hook_menu_pixelstat", 'add_options_pixelstat' );
}

// Add a Filter to Save Our Option
add_filter('set-screen-option', 'pixelstat_set_option', 10, 3);
function pixelstat_set_option($status, $option, $value) {
    if ( 'pixelstat_per_page' == $option ) return $value;
		return $status;
}
// Add screen options to the page ilist
function add_options_pixelstat() {
	global $myListTable;
	$screen = get_current_screen();
	$option = 'per_page';
	$args = array(
		   'label' => __('Summary', PIXELSTAT_ID_LANGUAGES),
		   'default' => 50,
		   'option' => 'pixelstat_per_page'
		   );
	add_screen_option( $option, $args );
	$myListTable = new pixelstat_List_Table();
}

/**
 * List page handler
 *
 * This function renders our custom table
 * Notice how we display message about successfull deletion
 * Actualy this is very easy, and you can add as many features
 * as you want.
 *
 * Look into /wp-admin/includes/class-wp-*-list-table.php for examples
 */
function pixelstat_page_handler() {
    global $wpdb;

    $tablePixelStat = new pixelstat_List_Table();
	//Fetch, prepare, sort, and filter our data...
	if( isset($_POST['s']) ){
		$tablePixelStat->prepare_items($_POST['s']);
	} else {
		$tablePixelStat->prepare_items();
	}

	// Initialization
    $message = '';
    if ('delete' === $tablePixelStat->current_action()) {
        $message = '<div class="updated below-h2" id="message"><p>' . sprintf(__('Entry(s) successfully deleted : %d', PIXELSTAT_ID_LANGUAGES), count($_REQUEST['id'])) . '</p></div>';
    }
	if ('delete_all' === $tablePixelStat->current_action()) {
		$message = '<div class="updated below-h2" id="message"><p>' . __('All entries successfully deleted', PIXELSTAT_ID_LANGUAGES) . '</p></div>';
	}
	
    ?>
<div class="wrap page_pixelstat">

    <div class="icon32 icon32-posts-post" id="icon-edit"><br></div>
    <h2>
		<?php echo _e('Summary', PIXELSTAT_ID_LANGUAGES); ?>
    </h2>
    <?php echo $message; ?>
	
	<form method="post">
		<input type="hidden" name="page" value="<?php echo $_REQUEST['page'] ?>" />
	  <?php
		$pixelstat_search_name_button = __('Search', PIXELSTAT_ID_LANGUAGES);
		$tablePixelStat->search_box($pixelstat_search_name_button, 'pixelstat-search-id'); ?>
	</form>

    <form id="lists-table" method="GET">
        <input type="hidden" name="page" value="<?php echo $_REQUEST['page'] ?>"/>
        <?php $tablePixelStat->display() ?>
    </form>

</div>
<?php
}

?>