<?php
// -=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
// Blocking direct access to plugin      -=
// -=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
defined('ABSPATH') or die('Are you crazy!');

// -=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
// -=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

// -=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
// Plugin DB Version / Table name       -=
// -=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
global $pixelstat_db_version;
$pixelstat_db_version = '7.0';
$plugin_table_name     = "pixel_stat";

/**
* Install the plugin DB
* @return DB Insert/Upgrade
*/
register_activation_hook( __FILE__, 'pixelstat_install' );
if ( ! function_exists('pixelstat_install') ) {
	function pixelstat_install() {
		global $wpdb, $pixelstat_db_version, $plugin_table_name;
	
		$table_name_list = $wpdb->prefix . $plugin_table_name;
		
		$charset_collate = $wpdb->get_charset_collate();
	
		$sql = "CREATE TABLE $table_name_list (
				id int(11) NOT NULL AUTO_INCREMENT,
				date datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
				order_id int(11) NOT NULL COMMENT 'Order ID WC',
				product_id int(11) NOT NULL,
				ip varchar(50) NOT NULL,
				pixel text NOT NULL,
				status tinyint(4) NOT NULL DEFAULT '0' COMMENT '0: commande en attente, 1: commande payee',
				PRIMARY KEY (id)
			   ) $charset_collate;
		";
	
		require_once( ABSPATH . 'wp-admin/includes/upgrade.php' );
		dbDelta( $sql );
	
		add_option( 'pixelstat_db_version', $pixelstat_db_version );
		
		/**
		 * [OPTIONAL] Example of updating to x.x.x version
		 *
		 * If you develop new version of plugin
		 * just increment $pixelstat_db_version variable
		 * and add following block of code
		 */
		$installed_ver = get_option('pixelstat_db_version');
		if ($installed_ver != $pixelstat_db_version) {
	
			require_once(ABSPATH . 'wp-admin/includes/upgrade.php');
			dbDelta($sql);
	
			// notice that we are updating option, rather than adding it
			update_option('pixelstat_db_version', $pixelstat_db_version);
		}
		
	}
}

/**
* Trick to update plugin database
* @return DB Insert/Upgrade DB datas
*/
// -=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
// Trick to update plugin database       -=
// -=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
add_action('plugins_loaded', 'pixelstat_update_db_check');
if ( ! function_exists('pixelstat_update_db_check') ) {
	function pixelstat_update_db_check(){
		global $pixelstat_db_version;
		if (get_site_option('pixelstat_db_version') != $pixelstat_db_version) {
			pixelstat_install();
		}
	}
}

/**
* Desactivation scheduled Jobs
* @return Clear scheduled Hooks
*/
register_deactivation_hook(__FILE__, 'pixelstat_deactivation');
function pixelstat_deactivation() {
	wp_clear_scheduled_hook('pixelstat_check_status_order');
}

?>